D2C(1)

NAME
gobject-tool - Dylan binding generator

SYNOPSIS
gobject-tool [ option ]... file.defs

WARNING
This man page is intended to supplement the main Gwydion Dylan documentation at http://www.gwydiondylan.org/. It provides an incomplete reference of the available options. For a full reference or a tutorial, please see the web site.

DESCRIPTION
gobject-tool is a binding generator for melange(1) , which we are using to help build Dylan libraries to interface with common C API's (most notably GTK.) The program prints to standard output, so you probably want to redirect the output to a file.

OPTIONS

-h, --usage
    Print out a message describing the available options.

-m, --module module
    Specify the module in which the exported declarations will live.

-d, --debug debug
    Output debugging information

-u, --use use
    Direct the module to Use a particular Dylan library.

-e, --exports exports
    Generate an exports file.

--flat flat
    Generate a flat file.

-I, --includedir includedir
    Additional search directories

--platform platform
    The platform assumed for code generation

EXAMPLE
gobject-tool $gtk_cflags --exports --module gdk-internal --use Dylan --use Melange-support --use glib --use gdk-extra gdk-1.2.defs > gdk-internal-module.dylan

SEE ALSO
d2c(1), melange(1)

Much more extensive documentation in various formats is available through the Gwydion Dylan web site at http://www.gwydiondylan.org/.

AUTHORS
The current Gwydion Dylan maintainers. See the CREDITS file in the Gwydion Dylan distribution for more information.